~fkooman/vpn-user-portal

bbb34bd37a2d3fc6880588fc2c065e516354be7d — François Kooman a month ago d4fb6f5
we plan to enable APIv3 out of the box
1 files changed, 0 insertions(+), 19 deletions(-)

M CONFIG_CHANGES.md
M CONFIG_CHANGES.md => CONFIG_CHANGES.md +0 -19
@@ 8,25 8,6 @@ This will help upgrades to a future 3.x release. Configuration changes during
the 2.x life cycle are NOT required. Any existing configuration file will keep
working!

## 2.4.0

We now support a new version of the API that is used by the upcoming eduVPN / 
Let's Connect! 3.x as well. This API is much simpler than the old API and also
allows for transparent support of WireGuard.

Initially this API is behind a toggle and needs to be explicitly enabled by the
administrator. In a future version we plan to enable it by default.

```
'enableApiThree' => true,
```

Please note that every time an application that uses the API connects a new 
certificate is generated, which may be inefficient (when using RSA). We default
to RSA at the moment, but you SHOULD switch to ECDSA or EdDSA, see 
[this](https://github.com/eduvpn/documentation/blob/v2/SECURITY.md#ca) for more 
information.

## 2.3.13

Support `permissionAttribute` configuration option for the RADIUS